List operation documents
curl --request GET \
--url https://sandbox.payfi.global/v1/operations/{operationId}/documents \
--header 'X-PayFi-Api-Key: <api-key>' \
--header 'X-PayFi-Nonce: <api-key>' \
--header 'X-PayFi-Signature: <api-key>'import requests
url = "https://sandbox.payfi.global/v1/operations/{operationId}/documents"
headers = {
"X-PayFi-Api-Key": "<api-key>",
"X-PayFi-Nonce": "<api-key>",
"X-PayFi-Signature": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'X-PayFi-Api-Key': '<api-key>',
'X-PayFi-Nonce': '<api-key>',
'X-PayFi-Signature': '<api-key>'
}
};
fetch('https://sandbox.payfi.global/v1/operations/{operationId}/documents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"documentId": "doc_example",
"documentType": "invoice",
"originalFileName": "invoice-123.pdf",
"fileName": "invoice-123.pdf",
"contentType": "application/pdf",
"sizeBytes": 123456,
"status": "PROCESSED",
"rejectionReason": null,
"createdAt": "2026-05-20T12:00:00.000Z",
"updatedAt": "2026-05-20T12:05:00.000Z"
}
]{
"error": {
"code": "INVALID_REQUEST",
"message": "The request payload is invalid."
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Authentication failed."
}
}Operations
List operation documents
Lists documents registered for one operation scoped to the signed partner integration.
GET
/
v1
/
operations
/
{operationId}
/
documents
List operation documents
Authorizations
Path Parameters
Operation ID.
Response
Operation documents.
Example:
"doc_example"
Available options:
invoice, bill_of_lading, packing_list, di_duimp, bank_details, proforma, service_contract, insurance_policy Example:
"invoice"
Example:
"invoice-123.pdf"
Example:
"invoice-123.pdf"
Example:
"application/pdf"
Example:
123456
Available options:
REGISTERED, UPLOAD_PENDING, UPLOADED, SCANNING, CLEAN, REJECTED, PROCESSING, PROCESSED, PROCESSING_FAILED Example:
"PROCESSED"
Example:
null
Example:
"2026-05-20T12:00:00.000Z"
Example:
"2026-05-20T12:05:00.000Z"